// Ex-p5-Film1
// Pour p5.js
// 14 2 2017
//
// Utilise: libraries/p5.js
// Utilise: libraries/p5.dom.js
//
// https://p5js.org/reference/#/p5/createVideo
// https://developer.mozilla.org/en-US/docs/Web/HTML/Supported_media_formats
// http://creative-coding.decontextualize.com/video/
//
// OK Firefox 48 + MacOSX.6 
// OK Safari 5 + MacOSX.6 
//
// Mouse click = Play / Pause
// Touche S Sauve la fenetre (format jpg) dans le dossier du sketch

var NomFichier = "Bruges-0673-H264-320x240.mp4";
var Film;
var Marche = true;

function setup() {
  createCanvas(windowWidth, windowHeight);
  Film = createVideo(NomFichier);
  Film.size(windowWidth, windowHeight);
  Film.play();
  // Film.loop();
  Film.hide();
}

function draw() {
  image(Film, 0, 0);
}

function mousePressed() {
  Marche = !Marche;
  if (Marche) Film.play();
  else Film.pause();
}

function keyPressed() {
  if (key == 's' || key == 'S') saveCanvas("Screen" + frameCount + '.jpg', 'jpg'); // or png
}

function windowResized() {
  resizeCanvas(windowWidth, windowHeight);
  Film.size(windowWidth, windowHeight);
}